Relay currently supports multiple cross-chain routes across 69+ blockchain networks. This guide explains how to determine if a particular route and token pair are supported by Relay
To determine if a route is supported (also referred to as whether a token is supported for bridging), use the Chains API to check for an available route between a given token pair.
curl -X GET "https://api.relay.link/chains"
The response will return a list of chains, each containing supported token pairs. To verify if a route is supported, follow these steps:
Look for the tokenSupport field in the response for a given chain:
If tokenSupport is "All", then routes involving this chain as either the origin or destination are supported for tokens where Solver or DEX liquidity is available.
If tokenSupport is "Limited", check the erc20Currencies and currency fields in the response. These fields contain token objects with metadata indicating whether a token supports bridging.
Here, tokenSupport is "Limited", meaning only specific tokens can be bridged. In this case, usdc is listed under erc20Currencies with supportsBridging: true, so routes involving usdc as an origin or destination token on Zora are supported.